[blfs-book] r9032 - in trunk/BOOK: . introduction/welcome postlfs/security

wblaszcz at linuxfromscratch.org wblaszcz at linuxfromscratch.org
Tue Nov 29 04:24:13 PST 2011


Author: wblaszcz
Date: 2011-11-29 05:24:08 -0700 (Tue, 29 Nov 2011)
New Revision: 9032

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/postlfs/security/policykit.xml
   trunk/BOOK/postlfs/security/polkit.xml
Log:
Updated to polkit-0.102.

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2011-11-29 10:35:49 UTC (rev 9031)
+++ trunk/BOOK/general.ent	2011-11-29 12:24:08 UTC (rev 9032)
@@ -122,7 +122,7 @@
 <!ENTITY sudo-version                 "1.8.2">
 <!ENTITY nss-version                  "3.13.1">
 <!ENTITY policykit-version            "0.9">
-<!ENTITY polkit-version               "0.94">
+<!ENTITY polkit-version               "0.102">
 <!ENTITY polkit-gnome-version         "0.94">
 <!ENTITY consolekit-version           "0.4.1">
 <!ENTITY attr-version                 "2.4.44">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2011-11-29 10:35:49 UTC (rev 9031)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2011-11-29 12:24:08 UTC (rev 9032)
@@ -47,6 +47,9 @@
         <listitem>
           <para>[wblaszcz] - Downgraded D-BUS to 1.4.0.</para>
         </listitem>
+        <listitem>
+          <para>[wblaszcz] - Updated to polkit-0.102.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
 

Modified: trunk/BOOK/postlfs/security/policykit.xml
===================================================================
--- trunk/BOOK/postlfs/security/policykit.xml	2011-11-29 10:35:49 UTC (rev 9031)
+++ trunk/BOOK/postlfs/security/policykit.xml	2011-11-29 12:24:08 UTC (rev 9032)
@@ -242,11 +242,11 @@
         </listitem>
       </varlistentry>
 
-      <varlistentry id="polkitd">
+      <varlistentry id="polkitd-0.9">
         <term><command>polkitd</command></term>
         <listitem>
           <para>is the <application>PolicyKit</application> daemon.</para>
-          <indexterm zone="policykit polkitd">
+          <indexterm zone="policykit polkitd-0.9">
             <primary sortas="b-polkitd">polkitd</primary>
           </indexterm>
         </listitem>

Modified: trunk/BOOK/postlfs/security/polkit.xml
===================================================================
--- trunk/BOOK/postlfs/security/polkit.xml	2011-11-29 10:35:49 UTC (rev 9031)
+++ trunk/BOOK/postlfs/security/polkit.xml	2011-11-29 12:24:08 UTC (rev 9032)
@@ -6,10 +6,10 @@
 
   <!ENTITY polkit-download-http "http://hal.freedesktop.org/releases/polkit-&polkit-version;.tar.gz">
   <!ENTITY polkit-download-ftp  " ">
-  <!ENTITY polkit-md5sum        "5abc9f858e7b614ef41161db36d53915">
-  <!ENTITY polkit-size          "986 KB">
-  <!ENTITY polkit-buildsize     "17 MB">
-  <!ENTITY polkit-time          "0.3 SBU">
+  <!ENTITY polkit-md5sum        "a3726bdb9728c103e58f62131e26693a">
+  <!ENTITY polkit-size          "860 KB">
+  <!ENTITY polkit-buildsize     "18 MB">
+  <!ENTITY polkit-time          "0.2 SBU">
 ]>
 
 <sect1 id="polkit" xreflabel="polkit-&polkit-version;">
@@ -33,7 +33,7 @@
     application-level toolkit for defining and handling the policy that allows
     unprivileged processes to speak to privileged processes.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -60,15 +60,23 @@
     <bridgehead renderas="sect3">polkit Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="eggdbus"/>,
-    <xref linkend="intltool"/>,
-    <xref linkend="linux-pam"/>,
-    <xref linkend="gobject-introspection"/>, and
-    <xref linkend="DocBook"/></para>
+    <para role="required"><xref linkend="expat"/>,
+    <xref linkend="intltool"/>, and
+    <xref linkend="pkgconfig"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="DocBook"/>,
+    <xref linkend="docbook-xsl"/>,
+    <xref linkend="gobject-introspection"/>,
+    <xref linkend="gtk-doc"/>,
+    <xref linkend="libxslt"/>, and
+    <xref linkend="linux-pam"/></para>
 
+    <note>
+      <para>If <xref linkend="libxslt"/> is installed then <xref
+      linkend="DocBook"/> and <xref linkend="docbook-xsl"/> are required.</para>
+    </note>
+
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/polkit"/></para>
 
@@ -89,8 +97,11 @@
     <para>Install <application>polkit</application> by running the following
     commands as an unprivileged user:</para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
-    --libexecdir=/usr/lib/polkit-1 --localstatedir=/var &&
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --libexecdir=/usr/lib/polkit-1 \
+            --localstatedir=/var \
+            --with-authfw=shadow &&
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
@@ -104,6 +115,11 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
 
+    <para><parameter>--with-authfw=shadow</parameter>: This parameter will use
+    the <application>Shadow</application> rather than the
+    <application>Linux-PAM</application> Authentication framework. Remove it if
+    you would like to use <application>Linux-PAM</application>.</para>
+
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>
 
@@ -118,13 +134,13 @@
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>pkaction, pkcheck, pk-example-frobnicate, pkexec,
+        <seg>pk-example-frobnicate, pkaction, pkcheck, pkexec,
         polkit-agent-helper-1, and polkitd</seg>
-        <seg>libpolkit-agent-1.{so,a}, libpolkit-backend-1.{so,a},
-        libpolkit-gobject-1.{so,a}, libnullbackend.{so,a}, and
-        libpkexec-action-lookup.{so,a}</seg>
-        <seg>/etc/polkit-1/{localauthority.conf.d,nullbackend.conf.d},
-        /usr/{include/polkit-1/{polkit,polkitagent,polkitbackend},
+        <seg>libnullbackend.{so,a}, libpolkit-agent-1.{so,a},
+        libpolkit-backend-1.{so,a}, and libpolkit-gobject-1.{so,a}</seg>
+        <seg>/etc/polkit-1/{localauthority.conf.d,localauthority/{10-vendor.d,
+        20-org.d,30-site.d,50-local.d,90-mandatory.d},nullbackend.conf.d},
+        /usr/{include/polkit-1/{polkitagent,polkitbackend},
         lib/polkit-1/extensions,share/polkit-1/actions},
         /var/lib/polkit-1/localauthority/{10-vendor.d,20-org.d,30-site.d,
         50-local.d,90-mandatory.d}</seg>
@@ -136,6 +152,16 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
 
+<!--  <varlistentry id="pk-example-frobnicate">
+        <term><command>pk-example-frobnicate</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="polkit pk-example-frobnicate">
+            <primary sortas="b-pk-example-frobnicate">pk-example-frobnicate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>-->
+
       <varlistentry id="pkaction">
         <term><command>pkaction</command></term>
         <listitem>
@@ -156,16 +182,6 @@
         </listitem>
       </varlistentry>
 
-<!--      <varlistentry id="pk-example-frobnicate">
-        <term><command>pk-example-frobnicate</command></term>
-        <listitem>
-          <para>does this .....</para>
-          <indexterm zone="polkit pk-example-frobnicate">
-            <primary sortas="b-pk-example-frobnicate">pk-example-frobnicate</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>-->
-
       <varlistentry id="pkexec">
         <term><command>pkexec</command></term>
         <listitem>
@@ -176,7 +192,7 @@
         </listitem>
       </varlistentry>
 
-<!--      <varlistentry id="polkit-agent-helper-1">
+<!--  <varlistentry id="polkit-agent-helper-1">
         <term><command>polkit-agent-helper-1</command></term>
         <listitem>
           <para>does this .....</para>
@@ -186,17 +202,27 @@
         </listitem>
       </varlistentry>-->
 
-      <varlistentry id="polkitd-0.94">
+      <varlistentry id="polkitd">
         <term><command>polkitd</command></term>
         <listitem>
           <para>provides the org.freedesktop.PolicyKit1
           <application>D-Bus</application> service on the system message bus.</para>
-          <indexterm zone="polkit polkitd-0.94">
+          <indexterm zone="polkit polkitd">
             <primary sortas="b-polkitd">polkitd</primary>
           </indexterm>
         </listitem>
       </varlistentry>
 
+      <varlistentry id="libnullbackend">
+        <term><filename class='libraryfile'>libnullbackend.{so,a}</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="polkit libnullbackend">
+            <primary sortas="c-libnullbackend">libnullbackend.{so,a}</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libpolkit-agent-1">
         <term><filename class='libraryfile'>libpolkit-agent-1.{so,a}</filename></term>
         <listitem>
@@ -230,26 +256,6 @@
         </listitem>
       </varlistentry>
 
-      <varlistentry id="libnullbackend">
-        <term><filename class='libraryfile'>libnullbackend.{so,a}</filename></term>
-        <listitem>
-          <para>is an extension library.</para>
-          <indexterm zone="polkit libnullbackend">
-            <primary sortas="c-libnullbackend">libnullbackend.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libpkexec-action-lookup">
-        <term><filename class='libraryfile'>libpkexec-action-lookup.{so,a}</filename></term>
-        <listitem>
-          <para>is an extension library.</para>
-          <indexterm zone="polkit libpkexec-action-lookup">
-            <primary sortas="c-libpkexec-action-lookup">libpkexec-action-lookup.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 
   </sect2>




More information about the blfs-book mailing list